## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### Get a Flow

**GET** /v2.0/flows/{flowId}

#### cURL

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId} \
  --header 'X-API-Key: <api-key>'
```

#### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

#### JavaScript

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### HTTP Response Codes

- 200
- 400
- 401
- 402
- 403
- 404
- 405
- 409
- 413
- 500
- 501
- 502
- 503
- 504

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations

APIKeyHeaderAPIKeyQueryParamCXoneTokenHeaderOAuth2APIKeyHeaderAPIKeyQueryParamCXoneTokenHeaderOAuth2

- **X-API-Key**: string (header, required) - Supply the API Key in the HTTP-Header

### Headers

- **Accept**: enum<string> - Specifies the media type that the client expects in the response.

**Available options**:
- `application/json`
- `application/hal+json`
- `application/xml`
- `text/xml`
- `text/csv`

### Path Parameters

- **flowId**: string (required) - The unique identifier for the Flow.

**Required string length**: `24`
**Pattern**: `^[a-z0-9]{24}$`

### Query Parameters

- **preferredLocaleId**: string - The unique identifier for the Locale for the response.

**Required string length**: `24`
**Pattern**: `^[a-z0-9]{24}$`

### Response

#### 200
**application/json** - Returns Flow Object

```json
{
  "referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "intentTrainGroupReference": "<string>",
  "feedbackReport": {
    "findings": [{}],
    "info": {
      "fScore": 123
    }
  },
  "isTrainingOutOfDate": true,
  "name": "<string>",
  "description": "<string>",
  "context": {},
  "attachedFlows": ["<string>"],
  "attachedLexicons": ["<string>"],
  "img": "<string>",
  "_id": "<string>",
  "createdAt": 1694518620,
  "lastChanged": 1694518620,
  "createdBy": "<string>",
  "lastChangedBy": "<string>"
}
```

### Error Responses

```json
{
  "type": "Payment Required",
  "title": "Payment Required Error",
  "status": 402,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 402,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Service Unavailable",
  "title": "Service Unavailable Error",
  "status": 503,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 503,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```
